import { ReactNode } from 'react';
type DefaultProps = {
    type: 'primary' | 'success' | 'secondary' | 'error';
};
declare const defaultProps: DefaultProps;
type Props = {
    children: ReactNode;
    onClick?: () => void;
    disabled?: boolean;
} & typeof defaultProps;
declare const Badge: {
    ({ type, children, onClick, disabled }: Props): JSX.Element;
    defaultProps: DefaultProps;
};
export default Badge;
