import { ViewStyle } from 'react-native';
import type { ThemeType } from '../UikitUtils/themeTypes';
import { ButtonType } from './Button';
type buttonColorType = {
    styleArray: ViewStyle[];
    type: ButtonType;
    theme: ThemeType;
};
export declare const buttonColorHelper: ({ styleArray, type, theme, }: buttonColorType) => void;
export declare const buttonHelper: (styleArray: ViewStyle[], flex: number | undefined, curved: boolean | undefined, flat: boolean | undefined, disabled: boolean | undefined, theme: ThemeType, type: ButtonType, contain: boolean | undefined) => void;
type GetTextColorProp = {
    theme: ThemeType;
    type: ButtonType;
    disabled?: boolean;
};
export declare const getTextColors: ({ type, theme, disabled }: GetTextColorProp) => "white" | "primary" | "theme" | "link" | "gray" | "black";
export {};
