/// <reference types="react" />
type ViewStyle = import('react-native').ViewStyle;
declare const defaultProps: {
    normal: boolean;
    align: string;
    type: string;
};
type AlignType = 'normal' | 'center' | 'stretch';
type cardType = 'primary' | 'info' | 'success' | 'error';
type Props = {
    children: import('react').ReactChild;
    noDrop?: boolean;
    align?: AlignType;
    curved?: boolean;
    overrideStyle?: ViewStyle;
    flex?: number;
    disabled?: boolean;
    expanded?: boolean;
    flat?: boolean;
    overrideContainerStyle?: ViewStyle;
    onClick?: (arg: any) => void;
    testID?: string;
    type?: cardType;
} & typeof defaultProps;
declare const Card: {
    ({ children, onClick, noDrop, align, curved, overrideStyle, flex, disabled, expanded, flat, overrideContainerStyle, testID, type, }: Props): JSX.Element;
    defaultProps: {
        normal: boolean;
        align: string;
        type: string;
    };
};
export default Card;
