import React from 'react';
import { textColors } from '../Text/Text';
type DefaultPropsTypes = {
    name: string;
    size: number;
};
declare const defaultProps: DefaultPropsTypes;
export type CheckBoxEventType = {
    target: {
        value: any[];
    };
};
type Props = {
    onClick?: (args: any) => void;
    onBlur?: (args: any) => void;
    checked?: boolean;
    size: number;
    color?: string;
    label?: import('react').ReactNode;
    value?: any[];
    labelColor?: textColors;
    labelSize?: number;
    testID?: string;
} & typeof defaultProps;
declare const _default: React.MemoExoticComponent<{
    ({ color, size, onClick, checked, onBlur, label, labelColor, labelSize, name, value, testID, }: Props): JSX.Element;
    defaultProps: DefaultPropsTypes;
}>;
export default _default;
