/// <reference types="react" />
import { textColors } from '../Text/Text';
type DefaultPropsTypes = {
    name?: string;
};
declare const defaultProps: DefaultPropsTypes;
type Props = {
    onClick?: (args: any) => void;
    onBlur?: (args: any) => void;
    checked?: boolean;
    color?: string;
    size?: number;
    label?: import('react').ReactNode;
    value?: string;
    labelColor?: textColors;
    labelSize?: number;
    disabled?: boolean;
} & typeof defaultProps;
declare const InputRadio: {
    ({ onClick, onBlur, name, checked, size, color, label, labelSize, labelColor, value, disabled, }: Props): JSX.Element;
    defaultProps: {
        labelSize: number;
    };
};
export default InputRadio;
