import React, { ReactNode } from 'react';
export type animationType = 'none' | 'fade' | 'slide' | undefined;
type Props = {
    open: boolean;
    children?: ReactNode;
    onClose?: () => void;
    disable?: boolean;
    title?: string;
    primaryAction?: string;
    primaryActionHandler?: () => void;
    secondaryAction?: string;
    secondaryActionHandler?: () => void;
    showClose?: boolean;
    showIcon?: (height: number, width: number) => ReactNode;
    iconSize?: 'normal' | 'large';
    isLoading?: boolean;
    animationType?: animationType;
};
export declare const handleUpdatezIndex: (node?: HTMLElement) => void;
declare const _default: React.MemoExoticComponent<({ open, children, onClose, disable, title, primaryAction, primaryActionHandler, secondaryAction, secondaryActionHandler, showClose, showIcon, iconSize, isLoading, animationType, }: Props) => JSX.Element | null>;
export default _default;
