import { TextStyle } from 'react-native';
import type { ThemeType } from '../UikitUtils/themeTypes';
import { textColors, textTransForm, textAlignForm } from './Text';
type TextHelperArgsType = {
    color: textColors;
    flex?: number;
    bold?: boolean;
    italic?: boolean;
    underline?: boolean;
    transform?: textTransForm;
    align?: textAlignForm;
};
export declare const textHelper: ({ color, flex, bold, italic, underline, transform, align, }: TextHelperArgsType) => TextStyle[];
export declare const textColorHelper: (theme: ThemeType, color?: textColors) => string;
export {};
