"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = exports.Playground = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_2 = require("react-native");
const Flex_1 = __importDefault(require("../Flex/Flex"));
const Badge_1 = __importDefault(require("./Badge"));
const styles = react_native_1.StyleSheet.create({
    overAll: {
        height: react_native_2.Dimensions.get('screen').height * 0.4,
    },
});
exports.default = {
    title: 'Components/Badge',
    component: Badge_1.default,
};
const Template = args => (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
    react_1.default.createElement(Badge_1.default, { ...args }, "AB")));
exports.Playground = Template.bind({});
exports.Playground.args = {
    type: 'primary',
};
const Basic = () => {
    return (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
        react_1.default.createElement(Badge_1.default, null, "AB")));
};
exports.Basic = Basic;
