/// <reference types="react" />
type Props = {
    name: string;
    errors: {
        [key: string]: string | undefined;
    };
    touched: {
        [key: string]: boolean | undefined;
    };
    textSize?: number;
};
declare const ErrorMessage: {
    ({ name, errors, touched, textSize }: Props): JSX.Element | null;
    defaultProps: {
        textSize: number;
    };
};
export default ErrorMessage;
