"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Playground = void 0;
const react_native_1 = require("@storybook/react-native");
const react_1 = __importStar(require("react"));
const Button_1 = __importDefault(require("../Button/Button"));
const Flex_1 = __importDefault(require("../Flex/Flex"));
const InputText_1 = __importDefault(require("../InputText/InputText"));
const ErrorMessage_1 = __importDefault(require("./ErrorMessage"));
exports.default = {
    title: `Components/ErrorMessage`,
    component: ErrorMessage_1.default,
};
const Template = args => {
    const [value, setValue] = (0, react_1.useState)('');
    const [touched, setTouched] = (0, react_1.useState)(false);
    const { errors } = args;
    const errorKey = Object.keys(errors)[0];
    const label = errorKey.charAt(0).toUpperCase() + errorKey.slice(1);
    return (react_1.default.createElement(Flex_1.default, { between: true },
        react_1.default.createElement(Flex_1.default, null,
            react_1.default.createElement(Button_1.default, { onClick: () => setTouched(!touched), type: "tertiary" }, "Set Error")),
        react_1.default.createElement(Flex_1.default, null,
            react_1.default.createElement(InputText_1.default, { label: label, value: value, onChange: setValue }),
            react_1.default.createElement(ErrorMessage_1.default, { ...args, touched: { [errorKey]: touched && !value } }))));
};
exports.Playground = Template.bind({});
exports.Playground.args = {
    errors: { name: 'Please enter any name!!' },
    name: 'name',
    touched: { name: false },
};
if (typeof Window === 'undefined') {
    (0, react_native_1.storiesOf)('Error Message', module).add('Playground', () => (react_1.default.createElement(exports.Playground, { name: "name", errors: { name: 'Please enter any name!!' }, touched: { name: false } })));
}
