"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = exports.Playground = void 0;
const react_1 = __importDefault(require("react"));
const InputOtpText_1 = __importDefault(require("./InputOtpText"));
const Template = args => (react_1.default.createElement(InputOtpText_1.default, { ...args }));
exports.Playground = Template.bind({});
exports.Playground.args = {
    pinCount: 4,
    autoFocusOnLoad: true,
    onCodeFilled: code => {
        console.log(`Code is ${code}, you are good to go!`);
    },
    onCodeChanged: code => {
        console.log(`Code is ${code}, you are good to go!`);
    },
    secureTextEntry: false,
    editable: true,
    keyboardType: 'default',
    placeholderCharacter: '0',
    placeholderTextColor: 'red',
    style: {},
    selectionColor: 'blue',
    clearInputs: false,
    keyboardAppearance: 'default',
    type: 'curved',
};
const Basic = () => {
    return (react_1.default.createElement(InputOtpText_1.default, { pinCount: 4, autoFocusOnLoad: true, onCodeFilled: code => {
            console.log(`Code is ${code}, you are good to go!`);
        } }));
};
exports.Basic = Basic;
exports.default = {
    title: 'Components/InputOtpText',
    component: InputOtpText_1.default,
};
