"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = exports.Playground = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_2 = require("react-native");
const Flex_1 = __importDefault(require("../Flex/Flex"));
const InputRadio_1 = __importDefault(require("./InputRadio"));
const styles = react_native_1.StyleSheet.create({
    overAll: {
        height: react_native_2.Dimensions.get('screen').height * 0.4,
    },
});
exports.default = {
    title: 'Components/InputRadio',
    component: InputRadio_1.default,
};
const Template = args => (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
    react_1.default.createElement(InputRadio_1.default, { ...args })));
exports.Playground = Template.bind({});
exports.Playground.args = {
    label: 'AB',
    onClick: () => {
        console.log('InputRadio Click');
    },
};
const Basic = () => {
    const [isChecked, setChecked] = (0, react_1.useState)(false);
    const hanldeSelect = () => {
        setChecked(!isChecked);
    };
    return (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
        react_1.default.createElement(InputRadio_1.default, { checked: isChecked, onClick: hanldeSelect, label: "AB" })));
};
exports.Basic = Basic;
