"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const ThemeContext_1 = __importDefault(require("../ThemeContext/ThemeContext"));
const themeHelper_1 = require("../UikitUtils/themeHelper");
const { height } = react_native_1.Dimensions.get('window');
const styles = react_native_1.StyleSheet.create({
    container: {
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(0,0,0,0.25)',
        height: height,
    },
    loader: {
        opacity: 1,
    },
});
const Loader = () => {
    const { theme } = (0, react_1.useContext)(ThemeContext_1.default);
    return (react_1.default.createElement(react_native_1.Modal, { animationType: "none", transparent: true, visible: true },
        react_1.default.createElement(react_native_1.SafeAreaView, { style: styles.container },
            react_1.default.createElement(react_native_1.ActivityIndicator, { size: "large", style: styles.loader, color: (0, themeHelper_1.primaryColor)(theme) }))));
};
exports.default = Loader;
