"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const Text_1 = __importDefault(require("../Text/Text"));
const helpers_1 = require("../UikitUtils/helpers");
const validators_1 = require("../UikitUtils/validators");
const styles = react_native_1.StyleSheet.create({
    inputText: {
        flex: 1,
        paddingHorizontal: 16,
        paddingVertical: 12,
        minHeight: 40,
    },
});
const RenderMultiSelectInput = ({ displayValue, placeholder }) => {
    const memoizedValue = (0, react_1.useMemo)(() => (0, helpers_1.removeUnderScores)(displayValue), [displayValue]);
    const value = (0, validators_1.isEmpty)(memoizedValue) ? placeholder : memoizedValue;
    const color = (0, validators_1.isEmpty)(memoizedValue) ? 'gray' : 'primary';
    return (react_1.default.createElement(Text_1.default, { size: 14, color: color, overrideStyle: styles.inputText, ellipsizeMode: "tail", numberOfLines: 1 }, value));
};
exports.default = (0, react_1.memo)(RenderMultiSelectInput);
