"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const Text_1 = __importDefault(require("../Text/Text"));
const helpers_1 = require("../UikitUtils/helpers");
const CheckBox_1 = __importDefault(require("../CheckBox/CheckBox"));
const styles = react_native_1.StyleSheet.create({
    selectItem: {
        flexDirection: 'row',
        alignItems: 'center',
        paddingHorizontal: 12,
        paddingBottom: 16,
    },
    selectItemOne: {
        flexDirection: 'row',
        alignItems: 'center',
        paddingHorizontal: 12,
        paddingVertical: 16,
    },
    labelText: {
        marginLeft: 8,
    },
});
const RenderMultiSelectOption = ({ selectOptions, option, stringifyLabelKey, handleOnSelect, stringifyValueKey, index, }) => {
    const opt = selectOptions[0].label === option[stringifyLabelKey];
    const style = opt || index === 0 ? styles.selectItemOne : styles.selectItem;
    const memoizedLabel = (0, react_1.useMemo)(() => (0, helpers_1.removeUnderScores)(option[stringifyLabelKey]), [option]);
    return (react_1.default.createElement(react_native_1.TouchableOpacity, { testID: "handleOnSelectId", onPress: () => handleOnSelect(option[stringifyValueKey]), style: style },
        react_1.default.createElement(CheckBox_1.default, { testID: "multiSelectCheckBox", onClick: () => handleOnSelect(option[stringifyValueKey]), checked: option.isChecked }),
        react_1.default.createElement(Text_1.default, { overrideStyle: styles.labelText },
            "Check ",
            memoizedLabel)));
};
exports.default = (0, react_1.memo)(RenderMultiSelectOption);
