"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const nativeDriverPlatform = react_native_1.Platform.OS === 'web';
const SelectListAnimation = ({ isOpen, children }) => {
    const animationValue = (0, react_1.useRef)(new react_native_1.Animated.ValueXY({ x: 0, y: 0 })).current;
    (0, react_1.useEffect)(() => {
        if (isOpen) {
            react_native_1.Animated.timing(animationValue, {
                toValue: { x: 0, y: 40 },
                duration: 300,
                useNativeDriver: nativeDriverPlatform,
            }).start();
        }
        if (!isOpen) {
            react_native_1.Animated.timing(animationValue, {
                toValue: { x: 0, y: 0 },
                duration: 300,
                useNativeDriver: nativeDriverPlatform,
            }).start();
        }
    }, [isOpen]);
    return (react_1.default.createElement(react_native_1.Animated.View, { style: animationValue.getLayout() }, children));
};
exports.default = (0, react_1.memo)(SelectListAnimation, (prevProps, nextProps) => prevProps.children === nextProps.children);
