"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const constants_1 = require("../UikitUtils/constants");
const Toast = {
    info: (options) => {
        react_native_1.DeviceEventEmitter.emit(constants_1.SHOW_TOAST_MESSAGE, {
            ...options,
            type: 'info',
        });
    },
    success: (options) => {
        react_native_1.DeviceEventEmitter.emit(constants_1.SHOW_TOAST_MESSAGE, {
            ...options,
            type: 'success',
        });
    },
    danger: (options) => {
        react_native_1.DeviceEventEmitter.emit(constants_1.SHOW_TOAST_MESSAGE, {
            ...options,
            type: 'danger',
        });
    },
    warning: (options) => {
        react_native_1.DeviceEventEmitter.emit(constants_1.SHOW_TOAST_MESSAGE, {
            ...options,
            type: 'warning',
        });
    },
};
exports.default = Toast;
