"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint max-len: ["error", { "code": 400 }] */
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = __importStar(require("react-native-svg"));
const defaultProps = {
    fill: '#1890FF',
    width: 20,
    height: 20,
};
const SvgRadioWithLine = ({ fill, width, height }) => (react_1.default.createElement(react_native_svg_1.default, { testID: "svgRadioWithLineId", viewBox: "0 0 20 20", width: width, height: height },
    react_1.default.createElement(react_native_svg_1.G, { fill: "none", fillRule: "evenodd" },
        react_1.default.createElement(react_native_svg_1.Circle, { stroke: fill, fill: "#FFF", cx: 10, cy: 10, r: 9.5 }),
        react_1.default.createElement(react_native_svg_1.Circle, { fill: fill, cx: 10, cy: 10, r: 5 }))));
SvgRadioWithLine.defaultProps = defaultProps;
exports.default = SvgRadioWithLine;
